### Signal

# Camel Store::folder-info-stale

#### Declaration

    void
    folder_info_stale (
      CamelStore* self,
      gpointer user_data
    )

#### Description [src]

This signal indicates significant changes have occurred to the folder hierarchy of `store`, and that previously fetched `CamelFolderInfo` data should be considered stale.

Applications should handle this signal by replacing cached `CamelFolderInfo` data for `store` with fresh data by way of camel_store_get_folder_info().

More often than not this signal will be emitted as a result of user preference changes rather than actual server-side changes. For example, a user may change a preference that reveals a set of folders previously hidden from view, or that alters whether to augment the `store` with virtual Junk and Trash folders.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.